BuildException is for when things go wrong in a build execution.

author | Andreas Aderhold
version | $Id$
package | phing

### Methods

## Construct a BuildException.

    __construct(\Exception | string $p1, \Location | \Exception | null $p2, \Location | null $p3)

Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new Buildexception($causeExc, $loc); throw new BuildException($msg, $causeExc); throw new BuildException($msg, $loc); throw new BuildException($msg, $causeExc, $loc);

### Parameters

#### $p1

`\Exception` `string`

#### $p2

`\Location``\Exception` `null`

#### $p3

`\Location` `null`

## Gets the cause exception.

    getCause() : \Exception

### Returns

`\Exception`

## Gets the location of error in XML file.

    getLocation() : \Location

### Returns

`\Location`

## Sets the location of error in XML file.

    setLocation(\Location $loc)

### Parameters

#### $loc

`\Location`

### Properties

##

    $cause : \Exception

##

    $location : \Location